Invoice Report API
The Invoice API informs business partners about PaysafeCard Invoice numbers and respective exchange rates. Some additional information(Amount, Currency, etc) is provided. It can be accessed in the Merchant Service Center and via the Invoice Report API.
The data can be filtered by various criteria and the reports are shown as json format.
Endpoint
Invoice Report Report: Single invoice: https://api.paysafecard.com/v2/reports/invoice
List of invoices: https://api.paysafecard.com/v2/reports/invoices
This integration can not be tested on our test environment.
Request headers
Set the Accept header to application/json.
Business Use Case
Following are scenarios where the Invoice API can support you and your business:
How can I find out the exchange rate used for an invoice?
You can use the Invoice API service for this purpose. For a specific invoice the request has to include the invoice number and its associated MID. The response will indicate the exchange rate.
You can also get a list of invoices. You will see the exchange rates of all invoices for a specific timeframe this way.
How can I get a list of all the invoices from a certain time frame?
Depending on your operational processes, you might need to get a list of all the invoices sent by PaysafeCard to you in a certain time frame (i.e. all invoices for 1 EUR MID and 1 USD MID of the previous year). You can use the same Invoice API service and just by requesting a FROM date (start date), you would get a list of invoices. The filtering can be adapted, and tailored according to your needs; i.e. search for invoices associated with a particular MID or in a particular timeframe.
Invoice Report request parameter filters
Single Invoice
| Parameter Name | Info | Format |
|---|---|---|
from | The start of the invoicing period of invoices to be retrieved in. (required) | yyyy-MM-dd |
to | The last start date of the invoicing period of invoices to be retrieved in. Regardless of the date from/to, the default time values are 00:00 to 23:59. (required) | yyyy-MM-dd |
mid | The Merchant ID is the unique alphanumeric merchant identifier. Invoices are always issued on an MID level. If a MID is not specified, all Invoices for all MIDs assigned to the API key in use will be retrieved. (optional) | 10 digits |
invoice_number | The Invoice identifier. (optional) | String |
List of Invoices
| Parameter Name | Info | Format |
|---|---|---|
from | The start of the invoicing period of invoices to be retrieved in. (required) | yyyy-MM-dd |
to | The last start date of the invoicing period of invoices to be retrieved in. Regardless of the date from/to, the default time values are 00:00 to 23:59. (required) | yyyy-MM-dd |
mid | The Merchant ID is the unique alphanumeric merchant identifier. Invoices are always issued on an MID level. If a MID is not specified, all Invoices for all MIDs assigned to the API key in use will be retrieved. (optional) | 10 digits |
Invoice Report response parameters
| Parameter Name | Description | Format |
|---|---|---|
| mid | The MID the invoice was issued for. | Digit(10) |
| invoiceNumber | The Invoice identifier. | Digit(10) |
| invoiceDate | Issuing date of Invoice. | YYYY - MM - DD |
| invoicePeriod | Array containing 2 date parameters(startDate and endDate). | Array |
| startDate | Start of the Invoices invoicing period. | YYYY - MM - DD |
| endDate | End of the Invoices invoicing period. | YYYY - MM - DD |
| transactionCurrency | Currency of transactions processed for a given invoice. | String(3) |
| settlementCurrency | Currency the invoice is settled in. | String(3) |
| totalAmount | Total monetary amount of invoice in transaction currency. | Digit(real number, 2 decimal points) |
| settlementAmount | Total monetary amount of invoice in settlement currency, after exchange rate was applied. | Digit(real number, 2 decimal points) |
| exchangeRate | Exchange rate applied to invoice before settlement. | Digit(real number, 5 decimal points) |
Invoice Report error codes
| Code | Number | HTTP Status | Description |
|---|---|---|---|
invalid_request_parameter | 10028 | 400 | One of the request parameters failed validation. The message and param fields contain more detailed information. |
general_technical_error | 10007 | 500 | General technical error. |
invalid_api_key | 10008 | 401 | Authentication failed due to missing or invalid API key. Your key needs to be set to the HTTP auth username. |